.custom-modal-content {
    width: auto;
    max-height: 91vh;
    display: flex !important;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 30px;
    padding: 30px !important;
    border-radius: 10px;
    box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.25);
    background-color: #fff;
    pointer-events: auto;
}

.custom-modal-content .ic-logo {
    height: 40px;
    margin: auto;
    flex-grow: 0;
    object-fit: contain;
}

.modal-title {
    align-self: stretch;
    flex-grow: 0;
    font-family: SofiaPro, serif;
    font-size: 20px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #000;
}

.modal-filter-container {
    overflow: auto;
    margin-right: -10px;
    padding-right: 10px;
    max-height: calc(100vh - 250px);
    display: flex;
    flex-direction: column;
    align-self: stretch;
    gap: 15px;
    font-size: 13px;
    text-transform: uppercase;
}

.custom-modal-body {
    align-self: stretch;
    flex-grow: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 20px;
    padding: 0;
}

.custom-modal-body-set {
    align-self: stretch;
    flex-grow: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 30px;
    overflow-y: auto;
}

.modal-text {
    max-height: calc(100vh - 250px);
    overflow: auto;
    margin-right: -10px;
    padding-right: 10px;
    align-self: stretch;
    flex-grow: 0;
    font-family: SofiaPro, serif;
    font-size: 12px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: left;
    color: #000;
}

.modal-text ul {
    padding-left: 20px;
}

.modal-input-container, .modal-input-container-text-area {
    align-self: stretch;
    flex-grow: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 10px;
    padding: 0;
    border-radius: 10px;
}

.modal-input-row-container {
    align-self: stretch;
    flex-grow: 1;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 10px;
    padding: 0;
}

.modal-group {
    align-self: stretch;
    flex-grow: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 10px;
    padding: 0;
}

.modal-input-container input {
    height: 33px;
}

.modal-input-container-text-area {
    min-height: 121px;
}

.modal-input-container label, .modal-input-container-text-area label {
    text-transform: uppercase;
    align-self: stretch;
    flex-grow: 0;
    font-family: SofiaPro, serif;
    font-size: 10px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: 1.5px;
    text-align: left;
    color: #000;
}

.modal-input-container input, .modal-input-container-text-area .text-area {
    align-self: stretch;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 10px;
    padding: .375rem .75rem;
    border-radius: 10px;
    border: solid 1px #d9d9d9;
    outline: none;
}

.custom-modal-footer {
    align-self: stretch;
    flex-grow: 0;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
    padding: 0;
}

.modal-label-filter-set {
    flex-grow: 0;
    font-family: SofiaPro;
    font-size: 10px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: 1.5px;
    text-align: left;
    color: #000;
}

.modal-button {
    height: 30px;
    flex-grow: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 3px 5px;
    border-radius: 10px;
    cursor: pointer;
}

.modal-button-text {
    padding: 3px 5px;
    flex-grow: 0;
    font-family: SofiaPro, serif;
    font-size: 10px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: 1.5px;
    text-align: center;
    color: #0063ff;
}

.modal-path {
    flex-grow: 0;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 5px;
    padding: 0;
}

.modal-path .routing-element {
    color: #000 !important;
}

.modal-group .filter-group label {
    pointer-events: none !important;
}

@media (min-width: 768px) {
    .custom-modal-content {
        width: 500px !important;
    }
}